Bug 500850 - [RFE] ecryptfs-manager should ask for password confirmation when creating openssl key
[RFE] ecryptfs-manager should ask for password confirmation when creating ope...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 10:32 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:57:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sent upstream (471 bytes, patch)
2009-05-18 04:22 EDT, Michal Hlavinka
no flags Details | Diff

  None (edit)
Description Michal Nowak 2009-05-14 10:32:03 EDT
Description of problem:

[root@hp-ml370g4-01 ~]# ecryptfs-manager 

eCryptfs key management menu
-------------------------------
	1. Add passphrase key to keyring
	2. Add public key to keyring
	3. Generate new public/private keypair
	4. Exit

Make selection: 3
Select key type to use for newly created files: 
 1) openssl
Selection: 1
SSL key file path [/root/.ecryptfs/pki/openssl/key.pem]: 
Passphrase: 
>>> ask for confirmation HERE <<<
Returning to main menu
[...]


ecryptfs-manager should ask for password confirmation when creating openssl key, so we are (more) sure that the user inserted the password they wanted to. I guess it's common practice.

Version-Release number of selected component (if applicable):

ecryptfs-utils-75-1.el5
Comment 1 Michal Hlavinka 2009-05-18 04:22:26 EDT
Created attachment 344393 [details]
sent upstream
Comment 6 errata-xmlrpc 2009-09-02 05:57:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.